Skip to main content
GET
Get a branch's maintenance window

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Response

Returns the branch's maintenance schedule

id
string
required

The ID of the maintenance schedule

name
string
required

The display name of the maintenance schedule

created_at
string
required

When the maintenance schedule was created

updated_at
string
required

When the maintenance schedule was last updated

last_window_datetime
string
required

When the last maintenance window started

next_window_datetime
string
required

When the next maintenance window is scheduled

duration
integer
required

The duration of the maintenance window in hours

day
integer
required

Day of the week (0 = Sunday, 6 = Saturday, 7 = every day)

hour
integer
required

Hour of the day in UTC (0-23)

week
integer
required

Week of the month for monthly schedules (0-3)

frequency_value
integer
required

The frequency value of the maintenance schedule

frequency_unit
enum<string>
required

The frequency unit of the maintenance schedule

Available options:
day,
week,
month,
once
enabled
boolean
required

Whether the maintenance schedule is enabled

expires_at
string | null
required

When a one-time maintenance schedule expires

deadline_at
string | null
required

The deadline for a required maintenance schedule

required
boolean
required

Whether the maintenance schedule is required

pending_vitess_version_update
boolean | null

Whether there is a pending Vitess version update

pending_vitess_version
string | null

The pending Vitess version, if any

pending_mysql_version_update
boolean | null

Whether there is a pending MySQL version update

pending_mysql_version
string | null

The pending MySQL version, if any